Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PKCS11::PKCS11_ReturnError Class Referencefinal

`#include <p11.h>`

Inheritance diagram for Botan::PKCS11::PKCS11_ReturnError:

## Public Member Functions
int | error_code () const noexceptoverride
ErrorType | error_type () const noexceptoverride
ReturnValue | get_return_value () const
| PKCS11_ReturnError (ReturnValue return_val)
const char * | what () const noexceptoverride

## Detailed Description

Definition at line 2902 of file p11.h.

## Constructor & Destructor Documentation

Botan::PKCS11::PKCS11_ReturnError::PKCS11_ReturnError | ( | ReturnValue | return_val | ) |
| inline explicit

Definition at line 2905 of file p11.h.

2905 :
2906 PKCS11_Error(std::to_string(static_cast< uint32_t >(return_val))),
2907 m_return_val(return_val)
2908 {}
Botan::PKCS11::PKCS11_Error::PKCS11_Error
PKCS11_Error(const std::string &what)
Definition: p11.h:2894
Botan::ASN1::to_string
std::string to_string(const BER_Object &obj)
Definition: asn1_obj.cpp:213

## Member Function Documentation

int Botan::PKCS11::PKCS11_ReturnError::error_code | ( |  | ) | const
| inline override virtual noexcept

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented from Botan::Exception.

Definition at line 2915 of file p11.h.

2916 {
2917 return static_cast<int>(m_return_val);
2918 }

ErrorType Botan::PKCS11::PKCS11_Error::error_type | ( |  | ) | const
| inline override virtual noexcept inherited

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 2899 of file p11.h.

References Botan::Pkcs11Error.

2899 { return ErrorType::Pkcs11Error; }
Botan::ErrorType::Pkcs11Error

ReturnValue Botan::PKCS11::PKCS11_ReturnError::get_return_value | ( |  | ) | const
| inline

Definition at line 2910 of file p11.h.

2911 {
2912 return m_return_val;
2913 }

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/prov/pkcs11/p11.h